# class Message |
Full name | `Snmp::Message`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Message ()
- Message (void* data, int len)
- ~Message ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_version
- static const int32_t s_version_1_version
- static const int32_t s_version_2_version
- OctetString m_community
- DataBlock m_data

## Detailed Description

static const int s_type | ### s_type

int32_t m_version | ### m_version

static const int32_t s_version_1_version | ### s_version_1_version

static const int32_t s_version_2_version | ### s_version_2_version

OctetString m_community | ### m_community

DataBlock m_data | ### m_data

Message () | ### Message

Message (void* data, int len) | ### Message

~Message () | ### ~Message

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.